Subject: Re: linux-next: build failure after merge of the staging tree

From: Greg KH <[email-masked]>
Date: Thu, 23 Jan 2014 20:08:08 -0800

On Fri, Jan 24, 2014 at 03:04:01PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Thu, 23 Jan 2014 19:53:12 -0800 Greg KH <[email-masked]> wrote:
> >
> > On Fri, Jan 24, 2014 at 01:01:22PM +1100, Stephen Rothwell wrote:
> > > 
> > > After merging the staging tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > > 
> > > drivers/staging/rtl8821ae/regd.c: In function '_rtl_reg_apply_beaconing_flags':
> > > drivers/staging/rtl8821ae/regd.c:200:20: error: 'IEEE80211_CHAN_NO_IBSS' undeclared (first use in this function)
> > >       ch->flags &= ~IEEE80211_CHAN_NO_IBSS;
> > 
> > Wait, I can't duplicate this at all here, either on just my staging-next
> > branch, or when merged together with Linus's tree.
> > 
> > Can you send me your .config that you used to cause this to fail
> > (allmodconfig works just fine here.)
> > 
> > Could this all be due to some wireless patches that aren't merged with
> > Linus yet but are in linux-next?
> 
> Yep, commit 8fe02e167efa ("cfg80211: consolidate passive-scan and no-ibss
> flags") from the net-next tree.

Ah, that makes more sense now, thanks.

> > If this is going to be a pain, I can easily drop it all and just wait
> > for 3.15-rc1, but it being a stand-alone driver, that works for hardware
> > I have here (and rumor has it, Linus also has this box), I figured I
> > would try to stay ahead of the curve and get it merged :)
> 
> That would require that I fix up the semantic merge conflicts on
> Tuesday (I have a long weekend).  Unless you wait just until Dave merges
> his tree and then base on top of that (or do a back merge of Linus' tree).

I'll wait till Dave merges his tree and then fix it up here before
sending it on.  After 3.14-rc1 is out is fine as well.  Don't worry
about doing any work on your end, it's a staging driver, it isn't worth
it :)

thanks,

greg k-h